Page 1 of 1

[SOLVED] shadowgrounds-launcher problems ubuntu 11.04 amd64

Posted: Sat Apr 30, 2011 8:45 pm
by ninex
i recently upgraded my ubuntu, and my problem starts

Code: Select all

./shadowgrounds-launcher: ./lib32/libxml2.so.2: no version information available (required by /usr/lib32/libglade-2.0.so.0)

(shadowgrounds-launcher:11892): Gtk-WARNING **: ./lib32/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /usr/lib/gtk-2.0/2.10.0/i686-pc-linux-gnu/engines/liboxygen-gtk.so)

(shadowgrounds-launcher:11892): Gtk-WARNING **: ./lib32/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /usr/lib/gtk-2.0/2.10.0/i686-pc-linux-gnu/engines/liboxygen-gtk.so)

(shadowgrounds-launcher:11892): libglade-WARNING **: Error loading image: Unable to load image-loading module: /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-png.so: /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-png.so: niewłaściwa klasa ELF: ELFCLASS64

(shadowgrounds-launcher:11892): libglade-WARNING **: could not convert string to type `GdkPixbuf' for property `pixbuf'

(shadowgrounds-launcher:11892): libglade-WARNING **: Error loading image: Unable to load image-loading module: /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-png.so: /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-png.so: niewłaściwa klasa ELF: ELFCLASS64

(shadowgrounds-launcher:11892): libglade-WARNING **: could not convert string to type `GdkPixbuf' for property `pixbuf'


it is a ubuntu bug

workaround:
sudo cp /usr/lib32/gdk-pixbuf-2.0/2.10.0/loaders.cache /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders.cache.32